/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// 一括登録ファイル選択画面用データクラス
// 
//
//	変更履歴
//		2004.01.08 新規作成 T.Nishiki 
//
package jp.co.ntt.lms.xms.lumpfile;

import java.util.ArrayList;
import java.util.List;

import jp.co.ntt.lms.xms.framework.XmsException;
import jp.co.ntt.lms.xms.framework.XmsInnerException;
import jp.co.ntt.lms.xms.framework.XmsScreenBean;

/**
 * 一括登録ファイル選択画面用データクラス<br>
 * @author T.Nishiki
 */
public class LumpFileSelectFileBean extends XmsScreenBean {

	/**
	 * 一括登録ファイルリスト。<br>
	 * 要素は、一括登録ファイル名（String）
	 */
	private List lumpFileList;
	
	/**
	 * コンストラクタ。
	 */
	LumpFileSelectFileBean() {
		lumpFileList = new ArrayList();
	}

	/**
	 * 一括登録ファイルを設定する。<br>
	 * 指定されたファイル名配列を内部に保持する。
	 * nullが渡された場合、内部に保持するデータを消去する。
	 * @param files 一括登録ファイル名称の配列。
	 */
	void setLumpFile( String[] files ) {
		// 内部に保持してあるファイル名を抹消。
		lumpFileList.clear();
		// 配列の要素を内部リストに格納。 
		if ( files != null ) {
			for ( int i = 0; i < files.length; i++ ) {
				lumpFileList.add( files[ i ] ) ;
			}
		}
	}
	
	/**
	 * 一括登録ファイル数を取得する。<br>
	 * @return 一括登録ファイル数。
	 */
	public int getLumpFileCount() {
		return lumpFileList.size();
	}

	/**
	 * 一括登録ファイル名称を取得する。<br>
	 * 指定したインデックスに相当する要素を内部リストから取得して、戻す。
	 * @param index 内部リストから取得要素のインデックス。
	 * @return 一括登録ファイル名称。
	 * @throws XmsException 指定したインデックスが内部リストの範囲外の場合。
	 * 　　　　　　　　　　　　取得した要素が文字列ではない場合。
	 */
	public String getLumpFileName(int index)
			throws XmsException {
		String fileName = null;
		try {
			fileName = (String)lumpFileList.get(index);		
		} catch (Exception e) {
			throw new XmsInnerException(e);
		}
		return fileName;
	}
}
